Browse Source

t0301-credential-cache: use 'test_atexit' to stop the credentials helper

Use 'test_atexit' to run cleanup commands to stop the credentials
helper at the end of the test script or upon interrupt or failure, as
it is shorter, simpler, and more robust than registering such cleanup
commands in the trap on EXIT in the test scripts.

Signed-off-by: SZEDER Gábor <szeder.dev@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
maint
SZEDER Gábor 6 years ago committed by Junio C Hamano
parent
commit
3bc2702b88
  1. 7
      t/t0301-credential-cache.sh

7
t/t0301-credential-cache.sh

@ -10,7 +10,7 @@ test -z "$NO_UNIX_SOCKETS" || { @@ -10,7 +10,7 @@ test -z "$NO_UNIX_SOCKETS" || {
}

# don't leave a stale daemon running
trap 'code=$?; git credential-cache exit; (exit $code); die' EXIT
test_atexit 'git credential-cache exit'

# test that the daemon works with no special setup
helper_test cache
@ -108,9 +108,4 @@ test_expect_success SYMLINKS 'use user socket if user directory is a symlink to @@ -108,9 +108,4 @@ test_expect_success SYMLINKS 'use user socket if user directory is a symlink to

helper_test_timeout cache --timeout=1

# we can't rely on our "trap" above working after test_done,
# as test_done will delete the trash directory containing
# our socket, leaving us with no way to access the daemon.
git credential-cache exit

test_done

Loading…
Cancel
Save